CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the Arduino

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Properties

- a
- b
- c
- d
- e
- i
- l
- m
- o
- p
- r
- s
- t

### - a -

- AckCmdId : CommandMessenger.SendCommand
- Arguments : CommandMessenger.SendCommand

### - b -

- BaudRate : CommandMessenger.SerialSettings
- BaudRateCollection : CommandMessenger.SerialSettings

### - c -

- CmdId : CommandMessenger.SendCommand
- CommandId : CommandMessenger.ReceivedCommand
- CurrentReceivedCommand : CommandMessenger.CmdMessenger
- CurrentReceivedLine : CommandMessenger.CmdMessenger
- CurrentSentLine : CommandMessenger.CmdMessenger
- CurrentSerialSettings : CommandMessenger.SerialPortManager

### - d -

- DataBits : CommandMessenger.SerialSettings
- DataBitsCollection : CommandMessenger.SerialSettings

### - e -

- EolDelimiter : CommandMessenger.SerialPortManager
- EscapeCharacter : CommandMessenger.Escaping

### - i -

- IsRunning : CommandMessenger.TimedAction

### - l -

- LastLineTimeStamp : CommandMessenger.CmdMessenger , CommandMessenger.SerialPortManager

### - m -

- Millis : CommandMessenger.TimeUtils

### - o -

- Ok : CommandMessenger.ReceivedCommand

### - p -

- Parity : CommandMessenger.SerialSettings
- PortName : CommandMessenger.SerialSettings
- PortNameCollection : CommandMessenger.SerialSettings
- PrintLfCr : CommandMessenger.CmdMessenger

### - r -

- ReqAc : CommandMessenger.SendCommand

### - s -

- Seconds : CommandMessenger.TimeUtils
- SerialPort : CommandMessenger.SerialPortManager
- set : CommandMessenger.BinaryConverter
- StopBits : CommandMessenger.SerialSettings

### - t -

- this[int index] : CommandMessenger.ReceivedCommand
- Timeout : CommandMessenger.SendCommand
- TimeStamp : CommandMessenger.ReceivedCommand